% Run this as
% beagle -nodefine n-queens-ari.p

%----queens_p =
%----         forall (i in 1..n, j in i + 1..n) (
%----                 p[i]     != p[j]
%----         /\      p[i] + i != p[j] + j
%----         /\      p[i] - i != p[j] - j
%----         );
%----... in terms of decision variables named p:

tff(p_type,type,
    p: $int > $int ).

tff(n_type,type,
    n: $int ).

tff(m_type,type, m1: $int ).
tff(m_type,type, m2: $int ).
tff(m_type,type, m3: $int ).
tff(m_type,type, m4: $int ).
tff(m_type,type, m5: $int ).
tff(m_type,type, m6: $int ).

tff(queens_p,axiom,
    ( ! [I: $int,J: $int] :
        ( ( $lesseq(1,I)
          & $lesseq(I,n)
          & $lesseq($sum(1,I),J)
          & $lesseq(J,n) )
       => ( p(I) != p(J)
          & $sum(p(I),I) != $sum(p(J),J)
          & $difference(p(I),I) != $difference(p(J),J) ) ) )).


%% tff(n, axiom, n=3).
%% tff(a, axiom, (p(1)=1 | p(1)=2) | p(1)=3).
%% tff(a, axiom, (p(2)=1 | p(2)=2) | p(2)=3).
%% tff(a, axiom, (p(3)=1 | p(3)=2) | p(3)=3).

%% tff(n, axiom, n=4).
%% tff(a, axiom, (p(1)=1 | p(1)=2) | p(1)=3 | p(1)=4).
%% tff(a, axiom, (p(2)=1 | p(2)=2) | p(2)=3 | p(2)=4).
%% tff(a, axiom, (p(3)=1 | p(3)=2) | p(3)=3 | p(3)=4).
%% tff(a, axiom, (p(4)=1 | p(4)=2) | p(4)=3 | p(4)=4).

%% tff(a, axiom, $less(p(1), p(4))).

%% tff(n, axiom, n=5).
%% tff(a, axiom, (p(1)=1 | p(1)=2) | p(1)=3 | p(1)=4 | p(1)=5).
%% tff(a, axiom, (p(2)=1 | p(2)=2) | p(2)=3 | p(2)=4 | p(2)=5).
%% tff(a, axiom, (p(3)=1 | p(3)=2) | p(3)=3 | p(3)=4 | p(3)=5).
%% tff(a, axiom, (p(4)=1 | p(4)=2) | p(4)=3 | p(4)=4 | p(4)=5).
%% tff(a, axiom, (p(5)=1 | p(5)=2) | p(5)=3 | p(5)=4 | p(5)=5).

% tff(a, axiom, $less(p(1), p(5))).

%% tff(n, axiom, n=6).
%% tff(a, axiom, (p(1)=1 | p(1)=2) | p(1)=3 | p(1)=4 | p(1)=5 | p(1)=6).
%% tff(a, axiom, (p(2)=1 | p(2)=2) | p(2)=3 | p(2)=4 | p(2)=5 | p(2)=6).
%% tff(a, axiom, (p(3)=1 | p(3)=2) | p(3)=3 | p(3)=4 | p(3)=5 | p(3)=6).
%% tff(a, axiom, (p(4)=1 | p(4)=2) | p(4)=3 | p(4)=4 | p(4)=5 | p(4)=6).
%% tff(a, axiom, (p(5)=1 | p(5)=2) | p(5)=3 | p(5)=4 | p(5)=5 | p(5)=6).
%% tff(a, axiom, (p(6)=1 | p(6)=2) | p(6)=3 | p(6)=4 | p(6)=5 | p(6)=6).

% tff(a, axiom, $less(p(1), p(6))).

%% tff(n, axiom, n=7).
%% tff(a, axiom, (p(1)=1 | p(1)=2) | p(1)=3 | p(1)=4 | p(1)=5 | p(1)=6 | p(1)=7).
%% tff(a, axiom, (p(2)=1 | p(2)=2) | p(2)=3 | p(2)=4 | p(2)=5 | p(2)=6 | p(2)=7).
%% tff(a, axiom, (p(3)=1 | p(3)=2) | p(3)=3 | p(3)=4 | p(3)=5 | p(3)=6 | p(3)=7).
%% tff(a, axiom, (p(4)=1 | p(4)=2) | p(4)=3 | p(4)=4 | p(4)=5 | p(4)=6 | p(4)=7).
%% tff(a, axiom, (p(5)=1 | p(5)=2) | p(5)=3 | p(5)=4 | p(5)=5 | p(5)=6 | p(5)=7).
%% tff(a, axiom, (p(6)=1 | p(6)=2) | p(6)=3 | p(6)=4 | p(6)=5 | p(6)=6 | p(6)=7).
%% tff(a, axiom, (p(7)=1 | p(7)=2) | p(7)=3 | p(7)=4 | p(7)=5 | p(7)=6 | p(7)=7).

%% tff(a, axiom, $less(p(1), p(7))).
%% tff(a, axiom, $less(p(7), p(1))).

tff(n, axiom, n=8).
tff(a, axiom, (p(1)=1 | p(1)=2) | p(1)=3 | p(1)=4 | p(1)=5 | p(1)=6 | p(1)=7 | p(1)=8).
tff(a, axiom, (p(2)=1 | p(2)=2) | p(2)=3 | p(2)=4 | p(2)=5 | p(2)=6 | p(2)=7 | p(2)=8).
tff(a, axiom, (p(3)=1 | p(3)=2) | p(3)=3 | p(3)=4 | p(3)=5 | p(3)=6 | p(3)=7 | p(3)=8).
tff(a, axiom, (p(4)=1 | p(4)=2) | p(4)=3 | p(4)=4 | p(4)=5 | p(4)=6 | p(4)=7 | p(4)=8).
tff(a, axiom, (p(5)=1 | p(5)=2) | p(5)=3 | p(5)=4 | p(5)=5 | p(5)=6 | p(5)=7 | p(5)=8).
tff(a, axiom, (p(6)=1 | p(6)=2) | p(6)=3 | p(6)=4 | p(6)=5 | p(6)=6 | p(6)=7 | p(6)=8).
tff(a, axiom, (p(7)=1 | p(7)=2) | p(7)=3 | p(7)=4 | p(7)=5 | p(7)=6 | p(7)=7 | p(7)=8).
tff(a, axiom, (p(8)=1 | p(8)=2) | p(8)=3 | p(8)=4 | p(8)=5 | p(8)=6 | p(8)=7 | p(8)=8).


