%% SZS status Success
%% SZS output start ListOfTFF
%% (logic) LIA
%% (info) :source 
%% 
%% C. L. Liu, Elements of Discrete Mathematics, 1985, describes the following problem:
%% 
%%    Suppose we have stamps of two different denominations, 3 cents and 5 cents. We want to show
%%    that it is possible to make up exactly any postage of 8 cents or more using stamps of these two
%%    denominations.
%% 
%% The formula below asserts this, however "8" replaced by "some lower bound".
%% 
%% (info) :status unsat
%% Types:

%% Declarations:

%% Assertions:
%% ¬∃ l:Int ∀ k:Int ((k > l) ⇒ ∃ s1:Int s2:Int ((s1 ≥ 0) ∧ (s2 ≥ 0) ∧ (k = ((s1 * 3) + (s2 * 5)))))
tff(formula, axiom,
  (~ ( ? [L:$int] :
	 ( ! [K:$int] :
	     ( $greater(K, L)
	    => ( ? [S1:$int, S2:$int] :
		   ( $greatereq(S1, 0)
		   & $greatereq(S2, 0)
		   & (K = $sum($product(S1, 3), $product(S2, 5)))))))))).

%% SZS output end ListOfTFF
%% File generated by smttotptp version 0.9.4 (13/10/2015) from stamps.smt2
